Skip to main content
GET
/
tenant-auth
/
v1
/
users
List users within a tenant
curl --request GET \
  --url https://api.swarmd.ai/tenant-auth/v1/users \
  --header 'Authorization: Bearer <token>'
{
  "content": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "email": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "permissions": [
        {}
      ],
      "firstName": "<string>",
      "lastName": "<string>",
      "source": "<string>",
      "groupIds": [
        "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      ]
    }
  ],
  "page": 123,
  "size": 123,
  "totalElements": 123,
  "totalPages": 123,
  "availableFilters": {}
}

Authorizations

Authorization
string
header
required

JWT token (USER, AGENT, or SERVICE auth)

Query Parameters

status
string[]
excludeSubscribersOfAgentId
string<uuid>
excludeMembersOfGroupId
string<uuid>
pageable
object
required

Response

200 - */*

OK

content
object[]
page
integer<int32>
size
integer<int32>
totalElements
integer<int64>
totalPages
integer<int32>
availableFilters
object